postfix released (was. dist-upgrade failure (edgy->feisty) - SystemError from cache.commit(): installArchives() failed)

Bug #95631 reported by Niko Maila
8
Affects Status Importance Assigned to Milestone
postfix (Ubuntu)
Invalid
Undecided
Unassigned
update-manager (Ubuntu)
Invalid
High
Unassigned

Bug Description

Binary package hint: update-manager

Advised "update-manager -d" upgrade method from Edgy to Feisty failed. Update-manager exits with error message before completing configuring packages.

More details: Lack of libsasl2-2 will cause majority of package configs to fail. "/etc/init.d/postfix stop" is not executable due to lack of libsasl2-2, and as a result the package can not be removed.

Workaround: comment lines "/etc/init.d/postfix stop" from /var/lib/dpkg/info/postfix.prerm
and execute "apt-get -f install"

Relevant data from /var/log/dist-upgrade/main.log

2007-03-24 15:59:18,956 DEBUG Free space on /: 2333679616
2007-03-24 15:59:18,956 DEBUG Dir /usr mounted on /
2007-03-24 15:59:18,957 DEBUG Dir /var mounted on /
2007-03-24 15:59:18,957 DEBUG Dir /boot mounted on /
2007-03-24 15:59:18,957 DEBUG Dir /var/cache/apt/archives/ mounted on /
2007-03-24 15:59:18,958 DEBUG Dir /home mounted on /
2007-03-24 15:59:18,958 DEBUG fs_free contains: '{'/var': <DistUpgradeControler.FreeSpace object at 0xb2e63bec>, '/home': <DistUpgradeControler.FreeSpace object at 0xb2e63bec>, '/boot': <DistUpgradeControler.FreeSpace object at 0xb2e63bec>, '/usr': <DistUpgradeControler.FreeSpace object at 0xb2e63bec>, '/': <DistUpgradeControler.FreeSpace object at 0xb2e63bec>, '/var/cache/apt/archives/': <DistUpgradeControler.FreeSpace object at 0xb2e63bec>}'
2007-03-24 15:59:19,900 DEBUG dir '/var/cache/apt/archives/' needs '1323131468.0' of '<DistUpgradeControler.FreeSpace object at 0xb2e63bec>' (2333679616.000000)
2007-03-24 15:59:19,900 DEBUG dir '/usr' needs '666988544.0' of '<DistUpgradeControler.FreeSpace object at 0xb2e63bec>' (1010548148.000000)
2007-03-24 15:59:19,900 DEBUG dir '/usr' needs '52428800' of '<DistUpgradeControler.FreeSpace object at 0xb2e63bec>' (343559604.000000)
2007-03-24 15:59:19,901 DEBUG dir '/boot' needs '41943040' of '<DistUpgradeControler.FreeSpace object at 0xb2e63bec>' (291130804.000000)
2007-03-24 15:59:19,901 DEBUG dir '/' needs '10485760' of '<DistUpgradeControler.FreeSpace object at 0xb2e63bec>' (249187764.000000)
2007-03-24 18:33:34,623 WARNING no activity on terminal for 240 seconds (Configuring libssl0.9.8)
2007-03-24 18:40:41,750 ERROR got an error from dpkg for pkg: '/var/cache/apt/archives/postfix_2.3.7-1_i386.deb': 'subprocess pre-installation script returned error exit status 1
'
2007-03-24 18:40:51,320 ERROR got an error from dpkg for pkg: '/var/cache/apt/archives/libsasl2-2_2.1.22.dfsg1-8ubuntu2_i386.deb': 'conflicting packages - not installing libsasl2-2
'
2007-03-24 18:43:18,219 DEBUG got a conffile-prompt from dpkg for file: '/etc/login.defs'
2007-03-24 19:15:20,764 ERROR got an error from dpkg for pkg: 'libsasl2-modules': 'dependency problems - leaving unconfigured
'
2007-03-24 19:18:54,318 ERROR got an error from dpkg for pkg: 'libsasl2-2': 'no package named `libsasl2-2' is installed, cannot configure
'
2007-03-24 19:18:58,883 ERROR got an error from dpkg for pkg: 'libldap2': 'dependency problems - leaving unconfigured
'
2007-03-24 19:19:03,463 ERROR got an error from dpkg for pkg: 'cupsys': 'dependency problems - leaving unconfigured
'
2007-03-24 20:02:23,624 ERROR got an error from dpkg for pkg: 'libsmbclient': 'dependency problems - leaving unconfigured
'
2007-03-24 20:03:01,577 ERROR got an error from dpkg for pkg: 'libxine1': 'dependency problems - leaving unconfigured
'
2007-03-24 20:03:04,313 ERROR got an error from dpkg for pkg: 'libgconf2-4': 'dependency problems - leaving unconfigured
'
2007-03-24 20:03:07,125 ERROR got an error from dpkg for pkg: 'gconf2': 'dependency problems - leaving unconfigured
'
2007-03-24 20:03:08,517 ERROR got an error from dpkg for pkg: 'libgnomevfs2-common': 'dependency problems - leaving unconfigured
'
2007-03-24 20:03:09,582 ERROR got an error from dpkg for pkg: 'libgnomevfs2-0': 'dependency problems - leaving unconfigured
'
2007-03-24 20:03:10,205 ERROR got an error from dpkg for pkg: 'libgnome2-common': 'dependency problems - leaving unconfigured
'
2007-03-24 20:03:10,981 ERROR got an error from dpkg for pkg: 'libgnome2-0': 'dependency problems - leaving unconfigured
'
2007-03-24 20:03:12,090 ERROR got an error from dpkg for pkg: 'libbonoboui2-0': 'dependency problems - leaving unconfigured
'
2007-03-24 20:03:13,121 ERROR got an error from dpkg for pkg: 'libgnome-menu2': 'dependency problems - leaving unconfigured
'
2007-03-24 20:03:14,770 ERROR got an error from dpkg for pkg: 'libgnomekbd-common': 'dependency problems - leaving unconfigured
'
2007-03-24 20:06:47,249 ERROR got an error from dpkg for pkg: 'libgnomekbd1': 'dependency problems - leaving unconfigured
'
2007-03-24 20:06:47,910 ERROR got an error from dpkg for pkg: 'libgnomekbdui1': 'dependency problems - leaving unconfigured
'
2007-03-24 20:06:48,461 ERROR got an error from dpkg for pkg: 'libgnomeui-common': 'dependency problems - leaving unconfigured
'
2007-03-24 20:06:49,001 ERROR got an error from dpkg for pkg: 'libgnomeui-0': 'dependency problems - leaving unconfigured
'
2007-03-24 20:06:49,661 ERROR got an error from dpkg for pkg: 'gnome-screensaver': 'dependency problems - leaving unconfigured
'
2007-03-24 20:06:51,001 ERROR got an error from dpkg for pkg: 'postfix': 'package postfix is already installed and configured
'
2007-03-24 20:06:51,853 DEBUG got a conffile-prompt from dpkg for file: '/etc/crontab'
2007-03-24 20:10:10,919 ERROR got an error from dpkg for pkg: 'kdebase-kio-plugins': 'dependency problems - leaving unconfigured
'
2007-03-24 20:10:30,081 ERROR got an error from dpkg for pkg: 'konqueror': 'dependency problems - leaving unconfigured
'
2007-03-24 20:12:33,327 ERROR got an error from dpkg for pkg: 'wine': 'dependency problems - leaving unconfigured
'
2007-03-24 20:12:39,311 ERROR got an error from dpkg for pkg: 'libsasl2-dev': 'dependency problems - leaving unconfigured
'
2007-03-24 20:12:44,444 ERROR got an error from dpkg for pkg: 'kdelibs4-dev': 'dependency problems - leaving unconfigured
'
2007-03-24 20:12:46,615 ERROR got an error from dpkg for pkg: 'hplip': 'dependency problems - leaving unconfigured
'
2007-03-24 20:14:52,061 ERROR got an error from dpkg for pkg: 'openoffice.org-core': 'dependency problems - leaving unconfigured
'
2007-03-24 20:14:56,947 ERROR got an error from dpkg for pkg: 'openoffice.org-common': 'dependency problems - leaving unconfigured
'
2007-03-24 20:14:58,595 ERROR got an error from dpkg for pkg: 'openoffice.org-style-default': 'dependency problems - leaving unconfigured
'
2007-03-24 20:15:00,547 ERROR got an error from dpkg for pkg: 'openoffice.org-l10n-en-us': 'dependency problems - leaving unconfigured
'
2007-03-24 20:15:02,183 ERROR got an error from dpkg for pkg: 'libgnomevfs2-extra': 'dependency problems - leaving unconfigured
'
2007-03-24 20:15:02,799 ERROR got an error from dpkg for pkg: 'gstreamer0.10-gnomevfs': 'dependency problems - leaving unconfigured
'
2007-03-24 20:15:04,387 ERROR got an error from dpkg for pkg: 'gstreamer0.10-plugins-base-dbg': 'dependency problems - leaving unconfigured
'
2007-03-24 20:15:05,219 ERROR got an error from dpkg for pkg: 'openoffice.org-calc': 'dependency problems - leaving unconfigured
'
2007-03-24 20:15:06,259 ERROR got an error from dpkg for pkg: 'python-uno': 'dependency problems - leaving unconfigured
'
2007-03-24 20:15:07,009 ERROR got an error from dpkg for pkg: 'openoffice.org-writer': 'dependency problems - leaving unconfigured
'
2007-03-24 20:15:07,731 ERROR got an error from dpkg for pkg: 'openoffice.org-draw': 'dependency problems - leaving unconfigured
'
2007-03-24 20:15:08,503 ERROR got an error from dpkg for pkg: 'openoffice.org-impress': 'dependency problems - leaving unconfigured
'
2007-03-24 20:15:16,807 ERROR got an error from dpkg for pkg: 'openoffice.org-java-common': 'dependency problems - leaving unconfigured
'
2007-03-24 20:15:38,039 ERROR got an error from dpkg for pkg: 'openoffice.org-base': 'dependency problems - leaving unconfigured
'
2007-03-24 20:15:38,731 ERROR got an error from dpkg for pkg: 'openoffice.org-gtk': 'dependency problems - leaving unconfigured
'
2007-03-24 20:15:39,603 ERROR got an error from dpkg for pkg: 'openoffice.org-gnome': 'dependency problems - leaving unconfigured
'
2007-03-24 20:15:48,264 ERROR got an error from dpkg for pkg: 'openoffice.org-kde': 'dependency problems - leaving unconfigured
'
2007-03-24 20:15:49,232 ERROR got an error from dpkg for pkg: 'openoffice.org-evolution': 'dependency problems - leaving unconfigured
'
2007-03-24 20:15:49,924 ERROR got an error from dpkg for pkg: 'openoffice.org-math': 'dependency problems - leaving unconfigured
'
2007-03-24 20:15:50,574 ERROR got an error from dpkg for pkg: 'openoffice.org-filter-binfilter': 'dependency problems - leaving unconfigured
'
2007-03-24 20:15:51,608 ERROR got an error from dpkg for pkg: 'openoffice.org-filter-mobiledev': 'dependency problems - leaving unconfigured
'
2007-03-24 20:15:52,080 ERROR got an error from dpkg for pkg: 'openoffice.org': 'dependency problems - leaving unconfigured
'
2007-03-24 20:17:19,661 ERROR got an error from dpkg for pkg: 'libgksu2-0': 'dependency problems - leaving unconfigured
'
2007-03-24 20:17:50,810 ERROR SystemError from cache.commit(): installArchives() failed

Revision history for this message
Michael Vogt (mvo) wrote :

Thanks for your bugreport.

Can you please apply the files in /var/log/dist-upgrade/ (especially term.log) as file attachments to this report? I can not reproduce this here in a clean chroot so I need the full logs.

Thanks,
 Michael

Changed in update-manager:
importance: Undecided → High
status: Unconfirmed → Needs Info
Revision history for this message
Niko Maila (niko-maila) wrote :

the associated term.log

Revision history for this message
Niko Maila (niko-maila) wrote :

apt.log

Revision history for this message
Niko Maila (niko-maila) wrote :

main.log

Revision history for this message
Nina Feyh (nin) wrote :

I also used 'update-manager -d' to upgrade from Edgy to Feisty and encountered similar/the same problems. Now dependencies for apache2, libldap2, libasl2 and libasl2-modules are broken.

Revision history for this message
Nina Feyh (nin) wrote :
Revision history for this message
Nina Feyh (nin) wrote :
Revision history for this message
Michael Vogt (mvo) wrote :

Did you got a debconf dialog prior to the crash?

Revision history for this message
Glauco (glauco-hass) wrote :

Same problem here.
The only dialog I got in the crash is something like
"Cannot install the updates.
The upgrade will abort now. Your system may be unstable. The recovery process will be executed (dpkg --configure -a). (translated by myself, I'm running pt-br)
Please report this bug against the 'update-manager' package and include the files in /var/log/dist-upgrade/ in the bugreport.
installArchives() failed" (this last part was in english, no translation)

Revision history for this message
Michael Vogt (mvo) wrote :

@Glauco: The error you get is differenet from the one descripted here. Yours is releated to /usr/lib/libGL.so.1.2

Preparando para substituir libgl1-mesa-glx 6.5.1~20060817-0ubuntu3 (usando .../libgl1-mesa-glx_6.5.2-3ubuntu7_i386.deb) ...
Descompactando substituto libgl1-mesa-glx ...
n2.4-minimal_2.4.4-2ubuntu7_i386.deb) ...
dpkg: erro processando /var/cache/apt/archives/libgl1-mesa-glx_6.5.2-3ubuntu7_i386.deb (--unpack):
 não foi possível criar `./usr/lib/libGL.so.1.2': Arquivo ou diretório inexistente
dpkg-deb: subprocesso paste morto por sinal (Pipe quebrado)

Please file a seperate bug against libgl1-mesa-glx about it and include this error message and the logs .

Cheers,
 Michael

Revision history for this message
Michael Vogt (mvo) wrote :

Here is the error during the install, it looks like pango can not be loaded when debconf-gnome requests it:

Preparing to replace postfix 2.3.3-1 (using .../postfix_2.3.7-1_i386.deb) ...
 * Stopping Postfix Mail Transport Agent postfix
 * Stopping Postfix Mail Transport Agent postfix
 * Stopping Postfix Mail Transport Agent postfix /usr/sbin/postfix: error while loading shared libraries: libsasl2.so.2: cannot open shared object file: No such file or directory
                                                                         [fail]
dpkg: warning - old pre-removal script returned error exit status 1
dpkg - trying script from the new package instead ...
dpkg: ... it looks like that went OK.
Fontconfig warning: no <cachedir> elements found. Check configuration.
Fontconfig warning: adding <cachedir>/var/cache/fontconfig</cachedir>
Fontconfig warning: adding <cachedir>~/.fontconfig</cachedir>
Pango-WARNING **: /usr/lib/pango/1.4.0/modules/pango-basic-fc.so: cannot open shared object file: No such file or directory at /usr/share/perl5/Debconf/FrontEnd/Gnome.pm line 117, <GEN6> line 3.
Pango-WARNING **: Failed to load Pango module '/usr/lib/pango/1.4.0/modules/pango-basic-fc.so' for id 'BasicScriptEngineFc' at /usr/share/perl5/Debconf/FrontEnd/Gnome.pm line 117, <GEN6> line 3.
Pango-WARNING **: pango_shape called with bad font, expect ugly output at /usr/share/perl5/Debconf/FrontEnd/Gnome.pm line 117, <GEN6> line 3.
Pango-WARNING **: pango_font_get_glyph_extents called with null font argument, expect ugly output at /usr/share/perl5/Debconf/FrontEnd/Gnome.pm line 117, <GEN6> line 3.
Pango-WARNING **: /usr/lib/pango/1.4.0/modules/pango-basic-fc.so: cannot open shared object file: No such file or directory at /usr/share/perl5/Debconf/Element/Gnome.pm line 113, <GEN6> line 3.
xpect ugly output at /usr/share/perl5/Debconf/FrontEnd/Gnome.pm line 117, <GEN6> line 3.
 line 3.
aborting postfix install
/Gnome.pm line 117, <GEN6> line 3.
dpkg: error processing /var/cache/apt/archives/postfix_2.3.7-1_i386.deb (--unpack):

Revision history for this message
Michael Vogt (mvo) wrote :

Here is the second one:

Vorbereiten zum Ersetzen von postfix 2.3.3-1 (durch .../postfix_2.3.8-2_i386.deb) ...
 * Stopping Postfix Mail Transport Agent postfix
 * Stopping Postfix Mail Transport Agent postfix [ OK ]
shift: 96: can't shift that many
aborting postfix installdpkg: Fehler beim Bearbeiten von /var/cache/apt/archives/postfix_2.3.8-2_i386.deb (--unpack):
 Unterprozess pre-installation script gab den Fehlerwert 1 zurück

Revision history for this message
Nina Feyh (nin) wrote :

I attached a screenshot of the message window I got right before the crash.

Revision history for this message
Mick Kielhauser (mick-kielhauser) wrote :

Hi,

I tried to upgrade today and received a message to log a bug against update manager w/ the log files attached. I checked the 'main.log' file and found the same error message.

Graphics card is an ATI RS482 [Radeon Xpress 200M] and I have not used any external drivers. The update was done via the network and the language is English. Unfortunately the system is unable to boot now (no error message, just hangs).

Revision history for this message
Scott Kitterman (kitterman) wrote :

The upgrade hung on libssl:

2007-03-24 18:33:34,623 WARNING no activity on terminal for 240 seconds (Configuring libssl0.9.8)

This may have just been a local connectivity problem, but there is not a Postfix issue here.

Changed in postfix:
status: New → Invalid
Revision history for this message
Launchpad Janitor (janitor) wrote :

[Expired for update-manager (Ubuntu) because there has been no activity for 60 days.]

To post a comment you must log in.
This report contains Public information  
Everyone can see this information.

Other bug subscribers